Docs

Get Drive File Link

GET /Drives/{driveId}/links/{linkId}/files/{fileId}

GET/Drives/{driveId}/links/{linkId}/files/{fileId}

Returns a file reachable through a public shared link, with all its versions and formats including time-limited download URIs, with no authentication. The linkId comes from the links on Drives_GetFile or Drives_GetFolder, and the file must be within the link's scope.

Path Parameters

FieldTypeRequiredDescription
driveIduuidRequired
linkIduuidRequired
fileIduuidRequired

Response

FieldTypeDescription
iduuid
namestring| null
descriptionstring| null
pathstring| null
statusstring| null
versionsGetDriveLinkFileResponseVersion[]| null

GetDriveLinkFileResponseVersion

FieldTypeDescription
iduuid
versionTagstring| null
createdDatedate-time
formatsGetDriveLinkFileResponseVersionFormat[]| null

GetDriveLinkFileResponseVersionFormat

FieldTypeDescription
iduuid
typestring| null
sizeinteger
uriuri| null